--- title: "Add a timeline event" slug: "add-a-timeline-event" updated: 2024-11-05T13:31:41Z published: 2024-11-05T13:31:41Z canonical: "developers.torq.io/add-a-timeline-event" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # Add a timeline event Post/v1alpha/cases/{case_id}/timeline/events Creates an entry for the specified event in the case timeline. SecurityHTTPType bearer Path parameterscase_idinteger (int32) Required The ID of the case for which to add timeline events. Body parametersobject event_ids Array of string The IDs of the events to add to the case timeline. Example[ "AD-080219", "AD-080721" ]string Responses200 A successful response. Expand Allobject attached_events Array of object (v1TimelineEvent) The events added to the case timeline. Example[ { "id": "206cdbff-3aa8-415a-806e-1c97a86391e5", "case_id": 28, "timestamp": "2024-01-02T11:03:16Z", "added_by": { "id": "25ad5fae-de9d-4d6e-8eb7-a49edefc203c", "type": "USER", "email": "john@torq.io" }, "event_attached": { "pretty_id": "AB-080219", "timestamp": "2024-01-02T11:03:16Z", "event_id": "3c65b57d-2681-4193-98af-ba78c82571ba", "event_type": "ATTACHABLE_EVENT_TYPE_INTEGRATION", "event_name": "something_triggered" }, "visibility": { "id": "VISIBILITY_ID_PUBLIC" } } ]object idstring The unique identifier of the timeline entry. case_idinteger (int32) The ID of the case the timeline entry is associated with. timestampstring (date-time) The time when the timeline entry was created. added_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io case_createdobject (v1CaseCreatedDetails) caseobject (v1Case) idinteger (int32) The unique identifier of the case. Example28 pretty_idstring The unique identifier of the case as displayed on the Cases page. Example#28 titlestring The case title. Examplecompromised user device descriptionstring The case description. ExampleA user device is infected with a malware stateobject (case_managementcasesv1State) valuestring The name of the state. The default states are: new, in progress, on hold, resolved, closed. If your workspace has custom states, you can specify them by name. Examplenew severityobject (v1Severity) valuestring The severity of the case. The possible values are: informational, low, medium, high, critical. Examplehigh assigneestring The email address of the case assignee. Examplejohn@torq.io reporterobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The timestamp when the case was created. updated_atstring (date-time) The timestamp when the case was last updated. completed_atstring (date-time) The timestamp when the case was resolved or closed. slaobject (v1Sla) valuestring (int64) The duration, measured in seconds, from the creation of the case until it should be resolved or closed. Example86400 start_timestring (date-time) The timestamp when the case was created. end_timestring (date-time) The timestamp when the case was resolved or closed. categorystring The case categpry. Examplemalware tags Array of string The case tags. Example[ "user", "phishing" ]string tasksobject (v1Tasks) pendinginteger (int64) The number of pending tasks. Example3 resolution_summaryobject (v1ResolutionSummary) reasonstring The reason the case was resolved or closed (up to 100 characters). Exampleuser device was cleaned detailsstring The detailed overview of the case resolution. ExampleThe user device was cleaned using the following steps: ... runbook_idstring The case runbook ID. case_updatedobject (v1CaseUpdatedDetails) previousobject (v1Case) idinteger (int32) The unique identifier of the case. Example28 pretty_idstring The unique identifier of the case as displayed on the Cases page. Example#28 titlestring The case title. Examplecompromised user device descriptionstring The case description. ExampleA user device is infected with a malware stateobject (case_managementcasesv1State) valuestring The name of the state. The default states are: new, in progress, on hold, resolved, closed. If your workspace has custom states, you can specify them by name. Examplenew severityobject (v1Severity) valuestring The severity of the case. The possible values are: informational, low, medium, high, critical. Examplehigh assigneestring The email address of the case assignee. Examplejohn@torq.io reporterobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The timestamp when the case was created. updated_atstring (date-time) The timestamp when the case was last updated. completed_atstring (date-time) The timestamp when the case was resolved or closed. slaobject (v1Sla) valuestring (int64) The duration, measured in seconds, from the creation of the case until it should be resolved or closed. Example86400 start_timestring (date-time) The timestamp when the case was created. end_timestring (date-time) The timestamp when the case was resolved or closed. categorystring The case categpry. Examplemalware tags Array of string The case tags. Example[ "user", "phishing" ]string tasksobject (v1Tasks) pendinginteger (int64) The number of pending tasks. Example3 resolution_summaryobject (v1ResolutionSummary) reasonstring The reason the case was resolved or closed (up to 100 characters). Exampleuser device was cleaned detailsstring The detailed overview of the case resolution. ExampleThe user device was cleaned using the following steps: ... runbook_idstring The case runbook ID. currentobject (v1Case) idinteger (int32) The unique identifier of the case. Example28 pretty_idstring The unique identifier of the case as displayed on the Cases page. Example#28 titlestring The case title. Examplecompromised user device descriptionstring The case description. ExampleA user device is infected with a malware stateobject (case_managementcasesv1State) valuestring The name of the state. The default states are: new, in progress, on hold, resolved, closed. If your workspace has custom states, you can specify them by name. Examplenew severityobject (v1Severity) valuestring The severity of the case. The possible values are: informational, low, medium, high, critical. Examplehigh assigneestring The email address of the case assignee. Examplejohn@torq.io reporterobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The timestamp when the case was created. updated_atstring (date-time) The timestamp when the case was last updated. completed_atstring (date-time) The timestamp when the case was resolved or closed. slaobject (v1Sla) valuestring (int64) The duration, measured in seconds, from the creation of the case until it should be resolved or closed. Example86400 start_timestring (date-time) The timestamp when the case was created. end_timestring (date-time) The timestamp when the case was resolved or closed. categorystring The case categpry. Examplemalware tags Array of string The case tags. Example[ "user", "phishing" ]string tasksobject (v1Tasks) pendinginteger (int64) The number of pending tasks. Example3 resolution_summaryobject (v1ResolutionSummary) reasonstring The reason the case was resolved or closed (up to 100 characters). Exampleuser device was cleaned detailsstring The detailed overview of the case resolution. ExampleThe user device was cleaned using the following steps: ... runbook_idstring The case runbook ID. update_maskstring The fields mask used to update the case. comment_addedobject (v1CommentAdded) textstring The text content of the comment added to the case timeline. execution_triggeredobject (v1ExecutionTriggered) execution_idstring The ID of the workflow execution triggered from the case. workflow_namestring The name of the workflow triggered from the case. event_idstring The ID of the trigger event. workflow_idstring The ID of the workflow triggered from the case. revision_idstring The ID of the workflow revision triggered from the case. attachment_addedobject (v1AttachmentAdded) attachmentobject (v1Attachment) idstring case_idinteger (int32) relative_pathstring file_namestring sizeinteger (int32) created_atstring (date-time) mime_typestring static_linkstring attachment_removedobject (v1AttachmentRemoved) attachmentobject (v1Attachment) idstring case_idinteger (int32) relative_pathstring file_namestring sizeinteger (int32) created_atstring (date-time) mime_typestring static_linkstring observable_addedobject (v1ObservableAdded) observable_idinteger (int32) The ID of the observable associated with the case. observable_typeobject (v1ObservableType) idstring - TYPE_ID_UNKNOWN: The observable type is unknown. - TYPE_ID_HOSTNAME: The observable type is Hostname. - TYPE_ID_IP_ADDRESS: The observable type is IP address. - TYPE_ID_MAC_ADDRESS: The observable type is MAC address. - TYPE_ID_USER_NAME: The observable type is User name. - TYPE_ID_EMAIL_ADDRESS: The observable type is Email. - TYPE_ID_URL: The observable type is URL. - TYPE_ID_FILE_NAME: The observable type is File name. - TYPE_ID_FILE_HASH: The observable type is File hash. - TYPE_ID_PROCESS_NAME: The observable type is Process name. - TYPE_ID_RESOURCE_UID: The observable type is Resource UID. - TYPE_ID_OTHER: The observable type is Other. Valid values[ "TYPE_ID_UNKNOWN", "TYPE_ID_HOSTNAME", "TYPE_ID_IP_ADDRESS", "TYPE_ID_MAC_ADDRESS", "TYPE_ID_USER_NAME", "TYPE_ID_EMAIL_ADDRESS", "TYPE_ID_URL", "TYPE_ID_FILE_NAME", "TYPE_ID_FILE_HASH", "TYPE_ID_PROCESS_NAME", "TYPE_ID_RESOURCE_UID", "TYPE_ID_OTHER" ]Default"TYPE_ID_UNKNOWN" namestring The name of the observable type. The name is automatically derived from the type ID. observable_removedobject (v1ObservableRemoved) observable_idinteger (int32) The ID of the observable disassociated from the case. observable_typeobject (v1ObservableType) idstring - TYPE_ID_UNKNOWN: The observable type is unknown. - TYPE_ID_HOSTNAME: The observable type is Hostname. - TYPE_ID_IP_ADDRESS: The observable type is IP address. - TYPE_ID_MAC_ADDRESS: The observable type is MAC address. - TYPE_ID_USER_NAME: The observable type is User name. - TYPE_ID_EMAIL_ADDRESS: The observable type is Email. - TYPE_ID_URL: The observable type is URL. - TYPE_ID_FILE_NAME: The observable type is File name. - TYPE_ID_FILE_HASH: The observable type is File hash. - TYPE_ID_PROCESS_NAME: The observable type is Process name. - TYPE_ID_RESOURCE_UID: The observable type is Resource UID. - TYPE_ID_OTHER: The observable type is Other. Valid values[ "TYPE_ID_UNKNOWN", "TYPE_ID_HOSTNAME", "TYPE_ID_IP_ADDRESS", "TYPE_ID_MAC_ADDRESS", "TYPE_ID_USER_NAME", "TYPE_ID_EMAIL_ADDRESS", "TYPE_ID_URL", "TYPE_ID_FILE_NAME", "TYPE_ID_FILE_HASH", "TYPE_ID_PROCESS_NAME", "TYPE_ID_RESOURCE_UID", "TYPE_ID_OTHER" ]Default"TYPE_ID_UNKNOWN" namestring The name of the observable type. The name is automatically derived from the type ID. event_attachedobject (case_managementtimelinev1AttachableEvent) event_pretty_idstring The pretty ID of the event attached to the case. event_idstring The ID of the event attached to the case. timestampstring (date-time) The time when the event occurred. event_typestring - ATTACHABLE_EVENT_TYPE_UNSPECIFIED: The event type is unspecified. - ATTACHABLE_EVENT_TYPE_INTEGRATION: An integration trigger event. - ATTACHABLE_EVENT_TYPE_MANUAL: An on-demand trigger event. - ATTACHABLE_EVENT_TYPE_SCHEDULE: A scheduled trigger event. - ATTACHABLE_EVENT_TYPE_NESTED: A nested workflow trigger event. - ATTACHABLE_EVENT_TYPE_STEPS: A single step execution event. - ATTACHABLE_EVENT_TYPE_INTERNAL: A system event. Valid values[ "ATTACHABLE_EVENT_TYPE_UNSPECIFIED", "ATTACHABLE_EVENT_TYPE_INTEGRATION", "ATTACHABLE_EVENT_TYPE_MANUAL", "ATTACHABLE_EVENT_TYPE_SCHEDULE", "ATTACHABLE_EVENT_TYPE_NESTED", "ATTACHABLE_EVENT_TYPE_STEPS", "ATTACHABLE_EVENT_TYPE_INTERNAL" ]Default"ATTACHABLE_EVENT_TYPE_UNSPECIFIED" event_namestring The name of the event. custom_field_updatedobject (v1CustomFieldUpdated) previousobject (custom_fieldsv1CustomField) keystring The key of the custom field. Examplefoo case_idinteger (int32) The ID of the case to which the custom field applies. Example123 valuestring The value of the custom field. Examplebar schemaobject (v1CustomFieldSchema) typestring The custom field type enum. - TYPE_UNSPECIFIED: The custom field value type is unspecified. - TYPE_SHORT_TEXT: The custom field value type is text. - TYPE_NUMBER: The custom field value type is number. - TYPE_BOOLEAN: The custom field value type is boolean. - TYPE_TIMESTAMP: The custom field value type is timestamp. - TYPE_LIST_SINGLE_SELECT: The custom field value type is list single select. Valid values[ "TYPE_UNSPECIFIED", "TYPE_SHORT_TEXT", "TYPE_NUMBER", "TYPE_BOOLEAN", "TYPE_TIMESTAMP", "TYPE_LIST_SINGLE_SELECT" ]Default"TYPE_UNSPECIFIED" short_textobject (CustomFieldSchemaShortTextConstraints) The constraints applied to the custom field value if the type is TYPE_SHORT_TEXT. min_lengthinteger (int32) The minimum length of the custom field value. Example1 max_lengthinteger (int32) The maximum length of the custom field value. Example255 regexstring The regular expression that the custom field value must match. Example^foo$ single_selectobject (CustomFieldSchemaSingleSelectConstraints) The constraints applied to the custom field value if the type is TYPE_LIST_SINGLE_SELECT. allowed_values Array of string The list of acceptable values for the custom field. Example[ "foo", "bar" ]string currentobject (custom_fieldsv1CustomField) keystring The key of the custom field. Examplefoo case_idinteger (int32) The ID of the case to which the custom field applies. Example123 valuestring The value of the custom field. Examplebar schemaobject (v1CustomFieldSchema) typestring The custom field type enum. - TYPE_UNSPECIFIED: The custom field value type is unspecified. - TYPE_SHORT_TEXT: The custom field value type is text. - TYPE_NUMBER: The custom field value type is number. - TYPE_BOOLEAN: The custom field value type is boolean. - TYPE_TIMESTAMP: The custom field value type is timestamp. - TYPE_LIST_SINGLE_SELECT: The custom field value type is list single select. Valid values[ "TYPE_UNSPECIFIED", "TYPE_SHORT_TEXT", "TYPE_NUMBER", "TYPE_BOOLEAN", "TYPE_TIMESTAMP", "TYPE_LIST_SINGLE_SELECT" ]Default"TYPE_UNSPECIFIED" short_textobject (CustomFieldSchemaShortTextConstraints) The constraints applied to the custom field value if the type is TYPE_SHORT_TEXT. min_lengthinteger (int32) The minimum length of the custom field value. Example1 max_lengthinteger (int32) The maximum length of the custom field value. Example255 regexstring The regular expression that the custom field value must match. Example^foo$ single_selectobject (CustomFieldSchemaSingleSelectConstraints) The constraints applied to the custom field value if the type is TYPE_LIST_SINGLE_SELECT. allowed_values Array of string The list of acceptable values for the custom field. Example[ "foo", "bar" ]string user_input_task_assignedobject (v1UserInputTaskAssigned) taskobject (v1UserInputTask) idstring The unique identifier of the user input task. namestring The name of the user input task. execution_idstring The ID of the workflow execution in which the user input task was assigned to the case. created_atstring (date-time) The timestamp when the user input task was assigned. updated_atstring (date-time) The timestamp when the user input task was last updated. statestring - STATE_UNSPECIFIED: STATE_UNSPECIFIED - STATE_PENDING: STATE_PENDING - STATE_RESPONDED: STATE_RESPONDED - STATE_TIMED_OUT: STATE_TIMED_OUT Valid values[ "STATE_UNSPECIFIED", "STATE_PENDING", "STATE_RESPONDED", "STATE_TIMED_OUT" ]Default"STATE_UNSPECIFIED" case_idinteger (int32) The ID of the case the user input task was assigned to. workflow_idstring The ID of the workflow during the execution of which the user input task was assigned. webpage_idstring The ID that is used to access the form in the app. user_input_task_submittedobject (v1UserInputTaskSubmitted) taskobject (v1UserInputTask) idstring The unique identifier of the user input task. namestring The name of the user input task. execution_idstring The ID of the workflow execution in which the user input task was assigned to the case. created_atstring (date-time) The timestamp when the user input task was assigned. updated_atstring (date-time) The timestamp when the user input task was last updated. statestring - STATE_UNSPECIFIED: STATE_UNSPECIFIED - STATE_PENDING: STATE_PENDING - STATE_RESPONDED: STATE_RESPONDED - STATE_TIMED_OUT: STATE_TIMED_OUT Valid values[ "STATE_UNSPECIFIED", "STATE_PENDING", "STATE_RESPONDED", "STATE_TIMED_OUT" ]Default"STATE_UNSPECIFIED" case_idinteger (int32) The ID of the case the user input task was assigned to. workflow_idstring The ID of the workflow during the execution of which the user input task was assigned. webpage_idstring The ID that is used to access the form in the app. user_input_task_timed_outobject (v1UserInputTaskTimedOut) taskobject (v1UserInputTask) idstring The unique identifier of the user input task. namestring The name of the user input task. execution_idstring The ID of the workflow execution in which the user input task was assigned to the case. created_atstring (date-time) The timestamp when the user input task was assigned. updated_atstring (date-time) The timestamp when the user input task was last updated. statestring - STATE_UNSPECIFIED: STATE_UNSPECIFIED - STATE_PENDING: STATE_PENDING - STATE_RESPONDED: STATE_RESPONDED - STATE_TIMED_OUT: STATE_TIMED_OUT Valid values[ "STATE_UNSPECIFIED", "STATE_PENDING", "STATE_RESPONDED", "STATE_TIMED_OUT" ]Default"STATE_UNSPECIFIED" case_idinteger (int32) The ID of the case the user input task was assigned to. workflow_idstring The ID of the workflow during the execution of which the user input task was assigned. webpage_idstring The ID that is used to access the form in the app. link_createdobject (v1LinkCreated) linkobject (v1Link) first_case_idinteger (int32) The ID of the first case in the link. Provide a value for this field when creating, updating or deleting a link. Example28 second_case_idinteger (int32) The ID of the second case in the link. Provide a value for this field when creating, updating or deleting a link. Example27 descriptionstring The link description. This field is optional. Examplefrom the same incident actorobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time when the link was created. This field value is automatically generated. Example1988-04-13T12:11:00Z updated_atstring (date-time) The time when the link was updated. Only the link relations can be updated; this field value is automatically generated. Example1988-04-13T12:11:00Z first_case_relationstring The relation of the first case to the second case. Provide a value for this field when creating or updating a link. The possible values are: parent_of/child_of, duplicate_of/duplicate_by, blocking/blocked_by, or other. Exampleparent_of second_case_relationstring The relation of the second case to the first case. Provide a value for this field when creating or updating a link. The value should complement the first_case_relation field value; for instance, if the first_case_relation is set to parent_of, the second_case_relation value should be child_of. Examplechild_of link_updatedobject (v1LinkUpdated) previousobject (v1Link) first_case_idinteger (int32) The ID of the first case in the link. Provide a value for this field when creating, updating or deleting a link. Example28 second_case_idinteger (int32) The ID of the second case in the link. Provide a value for this field when creating, updating or deleting a link. Example27 descriptionstring The link description. This field is optional. Examplefrom the same incident actorobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time when the link was created. This field value is automatically generated. Example1988-04-13T12:11:00Z updated_atstring (date-time) The time when the link was updated. Only the link relations can be updated; this field value is automatically generated. Example1988-04-13T12:11:00Z first_case_relationstring The relation of the first case to the second case. Provide a value for this field when creating or updating a link. The possible values are: parent_of/child_of, duplicate_of/duplicate_by, blocking/blocked_by, or other. Exampleparent_of second_case_relationstring The relation of the second case to the first case. Provide a value for this field when creating or updating a link. The value should complement the first_case_relation field value; for instance, if the first_case_relation is set to parent_of, the second_case_relation value should be child_of. Examplechild_of currentobject (v1Link) first_case_idinteger (int32) The ID of the first case in the link. Provide a value for this field when creating, updating or deleting a link. Example28 second_case_idinteger (int32) The ID of the second case in the link. Provide a value for this field when creating, updating or deleting a link. Example27 descriptionstring The link description. This field is optional. Examplefrom the same incident actorobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time when the link was created. This field value is automatically generated. Example1988-04-13T12:11:00Z updated_atstring (date-time) The time when the link was updated. Only the link relations can be updated; this field value is automatically generated. Example1988-04-13T12:11:00Z first_case_relationstring The relation of the first case to the second case. Provide a value for this field when creating or updating a link. The possible values are: parent_of/child_of, duplicate_of/duplicate_by, blocking/blocked_by, or other. Exampleparent_of second_case_relationstring The relation of the second case to the first case. Provide a value for this field when creating or updating a link. The value should complement the first_case_relation field value; for instance, if the first_case_relation is set to parent_of, the second_case_relation value should be child_of. Examplechild_of link_deletedobject (v1LinkDeleted) linkobject (v1Link) first_case_idinteger (int32) The ID of the first case in the link. Provide a value for this field when creating, updating or deleting a link. Example28 second_case_idinteger (int32) The ID of the second case in the link. Provide a value for this field when creating, updating or deleting a link. Example27 descriptionstring The link description. This field is optional. Examplefrom the same incident actorobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time when the link was created. This field value is automatically generated. Example1988-04-13T12:11:00Z updated_atstring (date-time) The time when the link was updated. Only the link relations can be updated; this field value is automatically generated. Example1988-04-13T12:11:00Z first_case_relationstring The relation of the first case to the second case. Provide a value for this field when creating or updating a link. The possible values are: parent_of/child_of, duplicate_of/duplicate_by, blocking/blocked_by, or other. Exampleparent_of second_case_relationstring The relation of the second case to the first case. Provide a value for this field when creating or updating a link. The value should complement the first_case_relation field value; for instance, if the first_case_relation is set to parent_of, the second_case_relation value should be child_of. Examplechild_of event_detachedobject (case_managementtimelinev1AttachableEvent) event_pretty_idstring The pretty ID of the event attached to the case. event_idstring The ID of the event attached to the case. timestampstring (date-time) The time when the event occurred. event_typestring - ATTACHABLE_EVENT_TYPE_UNSPECIFIED: The event type is unspecified. - ATTACHABLE_EVENT_TYPE_INTEGRATION: An integration trigger event. - ATTACHABLE_EVENT_TYPE_MANUAL: An on-demand trigger event. - ATTACHABLE_EVENT_TYPE_SCHEDULE: A scheduled trigger event. - ATTACHABLE_EVENT_TYPE_NESTED: A nested workflow trigger event. - ATTACHABLE_EVENT_TYPE_STEPS: A single step execution event. - ATTACHABLE_EVENT_TYPE_INTERNAL: A system event. Valid values[ "ATTACHABLE_EVENT_TYPE_UNSPECIFIED", "ATTACHABLE_EVENT_TYPE_INTEGRATION", "ATTACHABLE_EVENT_TYPE_MANUAL", "ATTACHABLE_EVENT_TYPE_SCHEDULE", "ATTACHABLE_EVENT_TYPE_NESTED", "ATTACHABLE_EVENT_TYPE_STEPS", "ATTACHABLE_EVENT_TYPE_INTERNAL" ]Default"ATTACHABLE_EVENT_TYPE_UNSPECIFIED" event_namestring The name of the event. note_addedobject (v1NoteAdded) noteobject (v1Note) idstring The ID of the note. case_idinteger (int32) The ID of the case. Example28 titlestring The title of the note. ExampleLorem Ipsum contentstring The content of the note. ExampleLorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. created_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io updated_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time the note was created. updated_atstring (date-time) The time the note was last updated. note_removedobject (v1NoteRemoved) noteobject (v1Note) idstring The ID of the note. case_idinteger (int32) The ID of the case. Example28 titlestring The title of the note. ExampleLorem Ipsum contentstring The content of the note. ExampleLorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. created_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io updated_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time the note was created. updated_atstring (date-time) The time the note was last updated. note_updatedobject (v1NoteUpdated) previousobject (v1Note) idstring The ID of the note. case_idinteger (int32) The ID of the case. Example28 titlestring The title of the note. ExampleLorem Ipsum contentstring The content of the note. ExampleLorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. created_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io updated_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time the note was created. updated_atstring (date-time) The time the note was last updated. currentobject (v1Note) idstring The ID of the note. case_idinteger (int32) The ID of the case. Example28 titlestring The title of the note. ExampleLorem Ipsum contentstring The content of the note. ExampleLorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. created_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io updated_byobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time the note was created. updated_atstring (date-time) The time the note was last updated. sla_timer_updatedobject (v1SlaTimerUpdated) previousobject (v1SlaTimer) namestring The name of the custom SLA timer. case_idinteger (int32) The ID of the case to which the custom SLA timer applies. workspace_idstring The case workspace ID. Default is the current workspace. targetstring (int64) The duration, in seconds, from the timer start until expiration. stateobject (case_managementsla_timersv1State) idstring The state of the custom SLA timer. - STATE_ID_NOT_RUNNING: The custom SLA timer isn't running. - STATE_ID_RUNNING: The custom SLA timer is running. Valid values[ "STATE_ID_NOT_RUNNING", "STATE_ID_RUNNING" ]Default"STATE_ID_NOT_RUNNING" valuestring The name of the timer state. is_leadboolean Indicates whether the timer is a lead timer. created_atstring (date-time) The timestamp when the custom SLA timer was created. elapsed_timestring (int64) The elapsed time of the custom SLA timer. currentobject (v1SlaTimer) namestring The name of the custom SLA timer. case_idinteger (int32) The ID of the case to which the custom SLA timer applies. workspace_idstring The case workspace ID. Default is the current workspace. targetstring (int64) The duration, in seconds, from the timer start until expiration. stateobject (case_managementsla_timersv1State) idstring The state of the custom SLA timer. - STATE_ID_NOT_RUNNING: The custom SLA timer isn't running. - STATE_ID_RUNNING: The custom SLA timer is running. Valid values[ "STATE_ID_NOT_RUNNING", "STATE_ID_RUNNING" ]Default"STATE_ID_NOT_RUNNING" valuestring The name of the timer state. is_leadboolean Indicates whether the timer is a lead timer. created_atstring (date-time) The timestamp when the custom SLA timer was created. elapsed_timestring (int64) The elapsed time of the custom SLA timer. update_maskstring The fields mask used to update the case. visibilityobject (case_managementtimelinev1Visibility) idstring - VISIBILITY_ID_INTERNAL: The visibility is internal. - VISIBILITY_ID_PUBLIC: The visibility is public. Valid values[ "VISIBILITY_ID_INTERNAL", "VISIBILITY_ID_PUBLIC" ]Default"VISIBILITY_ID_INTERNAL" valuestring The visibility value. The value is automatically derived from the visibility ID. 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object default An unexpected error response. Expand Allobject codeinteger (int32) messagestring details Array of object (protobufAny) object `Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message. Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type. Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ... Example 4: Pack and unpack a message in Go foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z". # JSON The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example: package google.profile; message Person { "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": } If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" } @typestring A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: - If no scheme is provided, `https` is assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. - Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics. property*object additionalProperties